Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.servicedef
Enum SrvTypeEnum

    java.lang.Object
      java.lang.Enum<SrvTypeEnum>
          it.csi.mddtools.servicedef.SrvTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SrvTypeEnum>, org.eclipse.emf.common.util.Enumerator

    public enum SrvTypeEnum

extends java.lang.Enum<SrvTypeEnum>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Srv Type Enum', and utility methods for working with them. [[ TODO - add documentation here ]]

See Also:
  `ServicedefPackage.getSrvTypeEnum()`

Enum Constant Summary
`APPL` The 'Appl' literal object
`INFR` The 'Infr' literal object
`ORCH` The 'Orch' literal object

Field Summary
`static int` | `APPL_VALUE` The 'Appl' literal value
`static int` | `INFR_VALUE` The 'Infr' literal value
`static int` | `ORCH_VALUE` The 'Orch' literal value
`static java.util.List<SrvTypeEnum>` | `VALUES` A public read-only list of all the 'Srv Type Enum' enumerators

Method Summary
`static SrvTypeEnum` | `get(int value)` Returns the 'Srv Type Enum' literal with the specified integer value
`static SrvTypeEnum` | `get(java.lang.String literal)` Returns the 'Srv Type Enum' literal with the specified literal value
`static SrvTypeEnum` | `getByName(java.lang.String name)` Returns the 'Srv Type Enum' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static SrvTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SrvTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFR

    public static final SrvTypeEnum INFR

  The 'Infr' literal object.

  See Also:
    `INFR_VALUE`

### APPL

    public static final SrvTypeEnum APPL

  The 'Appl' literal object.

  See Also:
    `APPL_VALUE`

### ORCH

    public static final SrvTypeEnum ORCH

  The 'Orch' literal object.

  See Also:
    `ORCH_VALUE`

Field Detail

### INFR_VALUE

    public static final int INFR_VALUE

  The 'Infr' literal value.

  If the meaning of 'Infr' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `INFR`, Constant Field Values

### APPL_VALUE

    public static final int APPL_VALUE

  The 'Appl' literal value.

  If the meaning of 'Appl' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `APPL`, Constant Field Values

### ORCH_VALUE

    public static final int ORCH_VALUE

  The 'Orch' literal value.

  If the meaning of 'Orch' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `ORCH`, Constant Field Values

### VALUES

    public static final java.util.List<SrvTypeEnum> VALUES

  A public read-only list of all the 'Srv Type Enum' enumerators.

Method Detail

### values

    public static final SrvTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SrvTypeEnum c : SrvTypeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SrvTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SrvTypeEnum get(java.lang.String literal)

  Returns the 'Srv Type Enum' literal with the specified literal value.

### getByName

    public static SrvTypeEnum getByName(java.lang.String name)

  Returns the 'Srv Type Enum' literal with the specified name.

### get

    public static SrvTypeEnum get(int value)

  Returns the 'Srv Type Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SrvTypeEnum>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD